from django.contrib.sitemaps import Sitemap

current_site = 'www.quickshot.org'

class StaticSitemap(Sitemap):

    def get_urls(self, page=1):
        urls = []
        pages = ('', 'install', 'getinvolved', 'contact', 'download',)
        for page in pages:
            sep = ''
            if page:
                sep = '/'
            loc = 'http://%s/%s%s' % (current_site, page, sep)
            url_info = {
                    'location': loc,
                    'lastmod': None,
                    'changefreq': 'weekly',
                    'priority': 0.8,
            }
            urls.append(url_info)
        return urls


sitemaps = {
        'static': StaticSitemap(),
}
