from django.conf.urls.defaults import *
from django.http import HttpResponse, HttpResponseRedirect
from quickshot.settings import MEDIA_ROOT
from quickshot.deploy import PROJECT_PATH
from quickshot import views
from quickshot.sitemap import sitemaps

# Uncomment the next two lines to enable the admin:
#from django.contrib import admin
#admin.autodiscover()

urlpatterns = patterns('',

    (r'^sitemap.xml$', 'django.contrib.sitemaps.views.sitemap', {'sitemaps': sitemaps}),

    url(r'^robots.txt$', lambda _:
        HttpResponse('User-agent: *\nDisallow:\n', mimetype='text/plain')),
    url(r'^favicon.ico$', lambda _:
        HttpResponseRedirect('%s/favicon.ico' % "/static")),
    url(r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': PROJECT_PATH + MEDIA_ROOT}),

    url(r'^download', views.static_view, {'template_name': 'download.html'}, 'download'),
    #url(r'^documentation', views.documentation, name='documentation'),
    url(r'^contact', 'quickshot.views.contact', name='contact'),
    url(r'^getinvolved', views.static_view, {'template_name': 'getinvolved.html'}, 'getinvolved'),
    url(r'^install', views.static_view, {'template_name': 'install.html'}, 'install'),
    url(r'^$', views.homepage, name='home'),
)
